Đến nội dung


Hình ảnh
- - - - -

chèn một đối tượng (ví dụ: text, block....) vào nhiều file bản vẽ


  • Please log in to reply
2 replies to this topic

#1 huynhtrung209

huynhtrung209

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 December 2013 - 06:19 PM

xin chào các Anh, các Chị trên diễn đàn!

 

- tình hình là em đang làm quen với VBA, Em có một vướng mắc nhờ mọi người trên diễn đàn giúp đỡ dùm.

- Em muốn chèn một đối tượng (ví dụ: text, block....) vào nhiều file bản vẽ.

  bên dưới Em có đính kèm 3 file bản vẽ, Anh, Chị cho em xin code để chèn (text hoặc block bất kỳ) vào 3 bản       vẽ trên.

 

 

Cám ơn Anh, Chị nhiều!!!

 

 

http://www.cadviet.c...38_folder_1.rar
  • 0

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 30 December 2013 - 03:18 PM

Ví dụ chèn Text có nội dung "Welcome to CadViet VBA." vào các file Cad đang mở 

Sub Example_AddTextToDocuments()

    Dim Document As AcadDocument
    Dim msg As String
    msg = vbCrLf
    
    Dim textObj As AcadText
    Dim textString As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double
        
    textString = "Welcome to CadViet VBA."
    insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
    height = 5

    For Each Document In Documents
        msg = msg & Document.Name & vbCrLf
        ' Create the text object in model space
        Set textObj = Document.ModelSpace.AddText(textString, insertionPoint, height)
    Next
    
    If Documents.Count > 0 Then
        MsgBox "Cac ban ve da them Text : " & msg
    End If
End Sub

  • 0

#3 huynhtrung209

huynhtrung209

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 December 2013 - 11:10 PM

Cảm ơn các Anh nhiều!!!

 

Nhờ Anh Gia_Bach viết cho em code để insert text như trên vào các bản vẽ không đang mở nhe.


  • 0